Option Strict Off
Option Explicit On
Imports System.Windows.Forms
'------------------------------------ 2025/05/05 ------------------------------------
Module AppBas

    Public gggAppMainForm As frmMain = Nothing
    Public gggDlgColor_BtnCurReading As Integer = 0

    '***************************************************************************
    Public gggAppIniFile As 屲clsAppINI  '傾僾儕偺丂Public.Bas丂儌僕儏乕儖偱愰尵偡傞丅
    '***************************************************************************

    Friend Function 愨懳僷僗_PacoCOM帿彂_Folder() As String
        Dim sAppPathyy As String = 嘳僷僗僙僷儗乕僞晅壛(嘳App僼僅儖僟柤())
        '2025/05/05  傾僾儕偺奐敪娐嫬偱偺愝掕偵傛傝丄僨僶僢僌儌乕僪偺幚峴僼傽僀儖偺埵抲偑曄傢傝偆傞偺偱丄憡懳僷僗偺愝掕偵拲堄偑昁梫丅
        '仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛
        Const FolderName As String = "PacoCOM帿彂"
#If DEBUG Then
        Return sAppPathyy & "..\..\..\" & FolderName
#Else
        Return sAppPathyy & "..\" & FolderName
#End If
        '仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛
        '2025/05/05  傾僾儕偺奐敪娐嫬偱偺愝掕偵傛傝丄僨僶僢僌儌乕僪偺幚峴僼傽僀儖偺埵抲偑曄傢傝偆傞偺偱丄憡懳僷僗偺愝掕偵拲堄偑昁梫丅
    End Function

    Friend Function 愨懳僷僗_AppPathCurSubFolder(ByVal rSubFolderName As String) As String
        Dim sAppPathyy As String = 嘳僷僗僙僷儗乕僞晅壛(嘳App僼僅儖僟柤())
        '2023/11/15  傾僾儕偺奐敪娐嫬偱偺愝掕偵傛傝丄僨僶僢僌儌乕僪偺幚峴僼傽僀儖偺埵抲偑曄傢傝偆傞偺偱丄憡懳僷僗偺愝掕偵拲堄偑昁梫丅
        '仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛
        '仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛
#If DEBUG Then
        Return sAppPathyy & "..\..\" & rSubFolderName
#Else
        Return sAppPathyy & rSubFolderName
#End If
        '仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛
        '仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛
        '2023/11/15  傾僾儕偺奐敪娐嫬偱偺愝掕偵傛傝丄僨僶僢僌儌乕僪偺幚峴僼傽僀儖偺埵抲偑曄傢傝偆傞偺偱丄憡懳僷僗偺愝掕偵拲堄偑昁梫丅
        ''-----------------------------
        'Return sAppPathyy & rSubFolderName
        ''-----------------------------
    End Function

    Friend Function Appf夵峴僐乕僪曄姺暥(ByVal 夵峴to僠儖僟_0__僠儖to僟夵峴_1 As Integer, ByVal 曄姺懳徾暥 As String) As String
        If 夵峴to僠儖僟_0__僠儖to僟夵峴_1 = 0 Then
            Return 嘳StrChgOldStrNewStr(曄姺懳徾暥, vbCrLf, "~")
        Else
            Return 嘳StrChgOldStrNewStr(曄姺懳徾暥, "~", vbCrLf)
        End If
    End Function

    Friend Sub AppfMyBeep()
        Call Beep()
        Return
        'Dim f As String = 嘳App僷僗撪偺娭楢僼傽僀儖僼儖僷僗柤("僴僘儗.WAV")
        'If 嘳僼傽僀儖偼懚嵼(f) Then
        '    gggbol = 嘳僒僂儞僪傪柭傜偡(f, 1, True, False)
        'Else
        '    Beep()
        'End If
    End Sub

End Module
